import os,sys
sys.path.append(os.path.join(os.environ['SUMO_HOME'], 'tools'))
import traci

traci.start(['sumo-gui',
    '-n', 'net.net.xml',
    '-r', 'routes.xml',
    '--lanechange.duration', '2'
    ])

while traci.simulation.getMinExpectedNumber() > 0:
        
    traci.simulationStep()
    
    if traci.simulation.getTime() == 30:
        traci.vehicle.changeLaneRelative("1", 1, 3)

traci.close()
